Plesk\backup\Agent\Schema\Backup\WebSettings\WebSettingsAType:
    properties:
        vhostName:
            expose: true
            access_type: public_method
            serialized_name: vhost-name
            accessor:
                getter: getVhostName
                setter: setVhostName
            xml_attribute: true
            type: string
        setting:
            expose: true
            access_type: public_method
            serialized_name: setting
            xml_element:
                cdata: false
            accessor:
                getter: getSetting
                setter: setSetting
            xml_list:
                inline: true
                entry_name: setting
            type: array<Plesk\backup\Agent\Schema\Backup\WebSettings\WebSettingsAType\SettingAType>
